Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.annotation.ejb
Enum AcknowledgementMode

    java.lang.Object
      java.lang.Enum<AcknowledgementMode>
          org.jboss.annotation.ejb.AcknowledgementMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AcknowledgementMode>

    public enum AcknowledgementMode

extends java.lang.Enum<AcknowledgementMode>

Enumeration for the behavior for the ackowledgement of JMS messages

Version:
  $Revision: 1.1.2.9 $
Author:
  Bill Burke

Enum Constant Summary
`AUTO_ACKNOWLEDGE`
`CLIENT_ACKOWLEDGE`
`DUPS_OK`
`SESSION_TRANSACTED`

Method Summary
`static AcknowledgementMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AcknowledgementMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SESSION_TRANSACTED

    public static final AcknowledgementMode SESSION_TRANSACTED

### AUTO_ACKNOWLEDGE

    public static final AcknowledgementMode AUTO_ACKNOWLEDGE

### DUPS_OK

    public static final AcknowledgementMode DUPS_OK

### CLIENT_ACKOWLEDGE

    public static final AcknowledgementMode CLIENT_ACKOWLEDGE

Method Detail

### values

    public static final AcknowledgementMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AcknowledgementMode c : AcknowledgementMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AcknowledgementMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD